## dlt-viewer 2.28.0+dfsg

=== debian/changelog ===
dlt-viewer (2.28.0+dfsg-1~exp2) experimental; urgency=medium

  * Ignore a new test result, failing on big endian architectures

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 28 Jul 2025 13:54:41 +0200

dlt-viewer (2.28.0+dfsg-1~exp1) experimental; urgency=medium

  * New upstream version 2.28.0+dfsg
    - actually this is the same version tarball, but renaming it
      to make clear we strip files inside.
  * Update control file for new VCS location
  * Add new test
  * Add patch proposed upstream to fix a test failure

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 28 Jul 2025 07:34:01 +0200

dlt-viewer (2.28.0-2) experimental; urgency=medium

  * Edit control, remove extra space
  * This version should also build fine with gcc-15 (Closes: #1096530)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 28 Jul 2025 07:31:05 +0200

dlt-viewer (2.28.0-1) experimental; urgency=medium

  * New upstream version 2.28.0
  * Drop patches

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 28 Jul 2025 07:06:27 +0200
