## dlt-viewer 2.28.1-dfsg

=== debian/changelog ===
dlt-viewer (2.28.1-dfsg-1) unstable; urgency=medium

  * Upload to sid

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 10 Aug 2025 18:10:54 +0200

dlt-viewer (2.28.1-dfsg-1~exp1) experimental; urgency=medium

  * Update copyright years
  * New upstream version 2.28.1-dfsg

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 01 Aug 2025 12:30:48 +0200
