=== debian/control ===
Source: dlt-viewer
Section: devel
Priority: optional
Maintainer: Stefan Potyra <stefan@potyra.de>
Uploaders: Bruno "Fuddl" Kleinert <fuddl@debian.org>,
 Aigars Mahinovs <aigarius@debian.org>,
 Gianfranco Costamagna <locutusofborg@debian.org>
Build-Depends: debhelper-compat (= 13),
 asciidoc,
 dblatex,
 cmake,
 libgtest-dev,
 libxkbcommon-dev,
 qt6-base-dev,
 qt6-declarative-dev,
 qt6-serialport-dev,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/COVESA/dlt-viewer
Vcs-Browser: https://salsa.debian.org/sistpoty/dlt-viewer
Vcs-Git: https://salsa.debian.org/sistpoty/dlt-viewer.git

Package: dlt-viewer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Viewer for COVESA DLT traces
 The Diagnostic Log and Trace Viewer is an application that can send and
 receive control messages to the DLT daemon, e.g., to set individual log
 levels of applications and contexts or get the list of applications
 and contexts registered in the DLT daemon.

Package: dlt-viewer-dev
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Viewer for COVESA DLT traces - development files
 The Diagnostic Log and Trace Viewer is an application that can send and
 receive control messages to the DLT daemon, e.g., to set individual log
 levels of applications and contexts or get the list of applications
 and contexts registered in the DLT daemon.
 .
 This package contains the development files for plugin development.
