=== debian/watch ===
version=4
opts=dversionmangle=s/(\+|\.)dfsg$// \
        https://github.com/COVESA/dlt-viewer/tags .*/v?(\d\S*)\.tar\.gz
