## dlt-viewer 2.29.0~beta1

=== CMakeLists.txt ===
--- 
+++ 
@@ -18,6 +18,14 @@
 # implicitly calls version checks
 include(scripts/windows/version.cmake)
 include(scripts/linux/version.cmake)
+
+message(STATUS "COVESA DLT Viewer version: ${DLT_PROJECT_VERSION_MAJOR}.${DLT_PROJECT_VERSION_MINOR}.${DLT_PROJECT_VERSION_PATCH}")
+if(NOT DLT_PROJECT_VERSION_MAJOR OR NOT DLT_PROJECT_VERSION_MINOR OR NOT DLT_PROJECT_VERSION_PATCH)
+    set(DLT_PROJECT_VERSION_MAJOR 0)
+    set(DLT_PROJECT_VERSION_MINOR 0)
+    set(DLT_PROJECT_VERSION_PATCH 0)
+endif()
+message(STATUS "COVESA DLT Viewer version: ${DLT_PROJECT_VERSION_MAJOR}.${DLT_PROJECT_VERSION_MINOR}.${DLT_PROJECT_VERSION_PATCH}")
 
 project(dlt-viewer
     VERSION ${DLT_PROJECT_VERSION_MAJOR}.${DLT_PROJECT_VERSION_MINOR}.${DLT_PROJECT_VERSION_PATCH}
