=== qdlt/CMakeLists.txt ===
--- 
+++ 
@@ -89,7 +89,13 @@
 if(WIN32)
     set(DLT_ADDITIONAL_FILES_INSTALLATION_PATH "${DLT_EXECUTABLE_INSTALLATION_PATH}")
 else()
-    set(DLT_ADDITIONAL_FILES_INSTALLATION_PATH ".")
+    if(NOT DLT_ADDITIONAL_FILES_INSTALLATION_PATH)
+        # Default to current directory for non-Windows systems
+        # This is where additional files will be installed
+        # e.g., documentation, examples, etc.
+        # It can be overridden by the user via CMake options
+        set(DLT_ADDITIONAL_FILES_INSTALLATION_PATH ".")
+    endif()
 endif()
 
 if(DLT_INSTALL_SDK)
