## dlt-viewer 2.29.0~beta1-dfsg

=== debian/changelog ===
dlt-viewer (2.29.0~beta1-dfsg-1~exp2) experimental; urgency=medium

  * Add upstream-proposed patch to fix versioning during build

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 04 Aug 2025 10:25:46 +0200

dlt-viewer (2.29.0~beta1-dfsg-1~exp1) experimental; urgency=medium

  * New upstream version 2.29.0~beta1-dfsg

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 01 Aug 2025 12:39:41 +0200
