## dlt-viewer 2.29.0~beta1.alpha6

=== CMakeLists.txt ===
--- 
+++ 
@@ -135,6 +135,12 @@
     endif()
 endif()
 
+if(OVERWRITE_PLUGIN_INSTALLATION_PATH)
+    set(PLUGIN_INSTALLATION_PATH ${OVERWRITE_PLUGIN_INSTALLATION_PATH})
+else()
+    set(PLUGIN_INSTALLATION_PATH ${DLT_PLUGIN_INSTALLATION_PATH})
+endif()
+
 option(DLT_PARSER "Build DLT Parser" OFF)
 
 if(DLT_PARSER)
