## dlt-viewer 2.29.0~beta1.alpha6-dfsg

=== debian/changelog ===
dlt-viewer (2.29.0~beta1.alpha6-dfsg-2) experimental; urgency=medium

  * Drop R^3: no
  * Fix build by installing some sdk files

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 09 Nov 2025 08:49:16 +0100

dlt-viewer (2.29.0~beta1.alpha6-dfsg-1) experimental; urgency=medium

  * Upload to sid
  * New upstream version 2.29.0~beta1.alpha6-dfsg

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 07 Nov 2025 16:04:07 +0100
