=== debian/control ===
--- 
+++ 
@@ -15,7 +15,6 @@
  qt6-declarative-dev,
  qt6-serialport-dev,
 Standards-Version: 4.7.0
-Rules-Requires-Root: no
 Homepage: https://github.com/COVESA/dlt-viewer
 Vcs-Browser: https://salsa.debian.org/sistpoty/dlt-viewer
 Vcs-Git: https://salsa.debian.org/sistpoty/dlt-viewer.git
