=== debian/rules ===
--- 
+++ 
@@ -35,10 +35,13 @@
 	      -DDLT_USE_QT_RPATH=OFF \
 	      -DDLT_PARSER=ON \
 	      -DDLT_DUMMY_PLUGINS=ON \
-	      -DDLT_INSTALL_SDK=OFF
+	      -DDLT_INSTALL_SDK=ON
 
 override_dh_auto_install: doc/dlt_viewer_user_manual.pdf doc/dlt_viewer_plugins_programming_guide.pdf
 	dh_auto_install
+	rm -rf debian/tmp/usr/DLTViewer
+	rm -rf debian/tmp/usr/LICENSE.txt debian/tmp/usr/MPL.txt debian/tmp/usr/README.md debian/tmp/usr/ReleaseNotes_Viewer.txt
+	rm -rf debian/tmp/usr/sdk/include debian/tmp/usr/sdk/lib
 
 override_dh_clean:
 	$(RM) doc/dlt_viewer_plugins_programming_guide.pdf \
